package v1

import (
	"github.com/gogf/gf/v2/frame/g"
)

type SupportReq struct {
	g.Meta `path:"/supprot" tags:"Support" method:"get" summary:"Get a list of all supported networks"`
}

type PriceReq struct {
	g.Meta           `path:"/price" tags:"Price" method:"get" summary:"Get price update of a token."`
	Address          string  ` v:"required" json:"address" dc:"代币地址"`
	Chain            string  ` v:"required" json:"chain" dc:"链名"`
	CheckLiquidity   float64 ` json:"check_liquidity" dc:"流动性验证"`
	IncludeLiquidity bool    ` json:"include_liquidity" dc:"是否返回流动数据" `
}

type CommonRes struct {
	Success bool        `json:"success" dc:"是否成功"`
	Data    interface{} `json:"data"    dc:"数据"`
}
